> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Warrant Configurations

> Lists grant configurations of kind WARRANT as selectable warrant configurations.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/list-warrant-configurations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/list-warrant-configurations:
    get:
      operationId: listWarrantConfigurations
      summary: List Warrant Configurations
      description: >-
        Lists grant configurations of kind WARRANT as selectable warrant
        configurations.


        Not available to API keys yet. It will need `grants:read`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWarrantConfigurationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListWarrantConfigurationsResponse:
      type: array
      items:
        type: object
        properties:
          warrantConfigurationID:
            type: string
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
          name:
            type: string
          kind:
            const: WARRANT
        required:
          - warrantConfigurationID
          - name
          - kind
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
